# VolumeData Class Reference

This object represents the volumetric data. More...

`#include <VolumeData.h>`

List of all members.

## Public Slots
void | loadDataSet (QString filename)
| This method loads a volumedata file and prepares the data for usage with OpenGL.
int * | getHistogramData ()
| This method returns the pointer to the histogram data.
float * | getNormalizedHistogramData ()
| This method returns the pointer to the normalized histogram data.
float * | getLogNormalizedHistogramData ()
| This method returns the pointer to the logarithmic scaled normalized histogram data.
## Public Member Functions
GLuint | getTextureName ()
| This method returns the OpenGL identifier for the 3D texture storing the volumetric data.
GLuint | getGradientTextureName ()
| This method returns the OpenGL identifier for the 3D texture storing the precomputed gradients.
int | getHeight ()
int | getWidth ()
int | getDepth ()
## Static Public Member Functions
static VolumeData * | instance ()
| This class produces a singleton instance and this method returns it.

## Detailed Description

This object represents the volumetric data.

## Member Function Documentation

GLuint VolumeData::getGradientTextureName | ( |  | ) |

This method returns the OpenGL identifier for the 3D texture storing the precomputed gradients.

Returns:
  The OpenGL identifier for the 3D texture storing the precomputed gradients.

int * VolumeData::getHistogramData | ( |  | ) | `[slot]`

This method returns the pointer to the histogram data.

Returns:
  The pointer to the int array storing the histogram data.

float * VolumeData::getLogNormalizedHistogramData | ( |  | ) | `[slot]`

This method returns the pointer to the logarithmic scaled normalized histogram data.

Returns:
  The pointer to the int array storing the logarithmic scaled normalized histogram data.

float * VolumeData::getNormalizedHistogramData | ( |  | ) | `[slot]`

This method returns the pointer to the normalized histogram data.

Returns:
  The pointer to the int array storing the normalized histogram data.

GLuint VolumeData::getTextureName | ( |  | ) |

This method returns the OpenGL identifier for the 3D texture storing the volumetric data.

Returns:
  The OpenGL identifier for the 3D texture storing the volumetric data.

VolumeData * VolumeData::instance | ( |  | ) | `[static]`

This class produces a singleton instance and this method returns it.

Returns:
  pointer to singleton instance.

void VolumeData::loadDataSet | ( | QString | strFilename | ) | `[slot]`

This method loads a volumedata file and prepares the data for usage with OpenGL.

Parameters:

  | strFilename | The Filename or Filepath to load

A 3D Texture storing the volumedata and another 3D Texture storing the pre-computed gradient information gets created. Also the historgram data is created while parsing the file.

Die Dateien bestehen aus einem 6 Byte Header gefolgt von den eigentlichen Daten. Die ersten zwei Byte des Headers geben an wie groß das Volumen in x-Richtung ist, die folgenden zwei Byte geben an wie groß es in y-Richtung ist und die nächsten zwei Byte geben die Größe der z-Dimension an. Die eigentlichen Daten sind als 16 Bit pro Datenwert gespeichert wobei nur 12 Bit in Verwendung sind.

Parts of this method have been taken from the VisLU students framework and rewritten for Qt.

The documentation for this class was generated from the following files:

- VolumeData.h
- VolumeData.cpp